# log4cpp::LayoutsFactory Class Reference

`#include <LayoutsFactory.hh>`

List of all members.

## Public Types

typedef FactoryParams | params_t
typedef std::auto_ptr< Layout >(*) | create_function_t (const params_t &params)

## Public Member Functions

void | registerCreator (const std::string &class_name, create_function_t create_function)
std::auto_ptr< Layout > | create (const std::string &class_name, const params_t &params)
bool | registed (const std::string &class_name) const

## Static Public Member Functions

static LayoutsFactory & | getInstance ()

## Member Typedef Documentation

typedef FactoryParams log4cpp::LayoutsFactory::params_t

typedef std::auto_ptr<Layout>(*) log4cpp::LayoutsFactory::create_function_t(const params_t &params)

## Member Function Documentation

LayoutsFactory & log4cpp::LayoutsFactory::getInstance | ( |  | ) | `[static]`

void log4cpp::LayoutsFactory::registerCreator | ( | const std::string & | class_name,
|  | create_function_t | create_function |
| ) |  |  |

std::auto_ptr< Layout > log4cpp::LayoutsFactory::create | ( | const std::string & | class_name,
|  | const params_t & | params |
| ) |  |  |

bool log4cpp::LayoutsFactory::registed | ( | const std::string & | class_name | ) | const

The documentation for this class was generated from the following files:

- LayoutsFactory.hh
- LayoutsFactory.cpp